Aqua Beta 2
Beta Calcum 1
Aqua Delta 10
Ente Franca 10
0 0 0
Aqua 50
Calcum 10
Beta 25
Delta 10
Franca 10
0 0
A B 1
A C 2
B C 3
A D 9
B D 9
0 0 0
A 10
B 12
C 10
D 5
0 0
A B 1
A C 3
B C 2
A D 9
B D 9
0 0 0
A 12
B 10
C 10
D 5
0 0
A B 2
A C 4
B C 1
0 0 0
A 10
B 10
C 10
0 0
A B 2
D C 0
B C 1
0 0 0
A 10
B 15
C 10
D 5
0 0
A B 2
A C 4
B C 1
0 0 0
A 0
B 10
C 0
0 0
A B 20
A C 40
B C 100
0 0 0
A 100
B 1000
C 500
0 0
A B 2
A C 4
B C 1
0 0 0
A 100
B 1000
C 500
D 25
0 0
A B 2
A C 4
B C 1
0 0 0
A 0
B 2
C 500
D 25
0 0
A B 2
A C 4
B C 1
0 0 0
0 0
0 0 0
A 10
B 10
C 10
0 0
A B 1
A C 2
A D 3
A E 4
A F 5
A G 6
A H 7
A I 8
A J 9
A K 10
B C 2
B D 3
B E 4
B F 5
B G 6
B H 7
B I 8
B J 9
B K 10
C D 3
C E 4
C F 5
C G 6
C H 7
C I 8
C J 9
C K 10
Z B 1
Z C 2
Z D 3
Z E 4
Z F 5
Z G 6
Z H 7
Z I 8
Z J 9
Z K 10
Y C 2
Y D 3
Y E 4
Y F 5
Y G 6
Y H 7
Y I 8
Y J 9
Y K 10
X D 3
X E 4
X F 5
X G 6
X H 7
X I 8
X J 9
X K 10
0 0 0
A 10
Z 15
Y 10
X 15
B 20
C 10
J 5
0 0
A B 1
A C 2
A D 3
A E 4
A F 5
A G 6
A H 7
A I 8
A J 9
A K 10
B C 2
B D 3
B E 4
B F 5
B G 6
B H 7
B I 8
B J 9
B K 10
C D 3
C E 4
C F 5
C G 6
C H 7
C I 8
C J 9
C K 10
Z B 1
Z C 2
Z D 3
Z E 4
Z F 5
Z G 6
Z H 7
Z I 8
Z J 9
Z K 10
Y C 2
Y D 3
Y E 4
Y F 5
Y G 6
Y H 7
Y I 8
Y J 9
Y K 10
X D 3
X E 4
X F 5
X G 6
X H 7
X I 8
X J 9
X K 10
0 0 0
A 10
B 20
C 10
J 5
0 0
ENDOFINPUT
